Startseite | Impressum | Kontakt | Sitemap

Benötigte Extensions

Wäre ja lustig, wenn sich die Extension Commerce einfach so einbauen ließe, aber weit gefehlt. Im Repository deuten die Macher von Commerce bereits an, welche Liste an "Dependencies" diese Extension benötigt. Ärgerlicherweise steht diese Liste, zumindest als ich sie mit Firefox aufrief, in einer einzigen Zeile. Die ersten vier nötigen Extension-Keys wurden angezeigt, die fünfte verschwand bereits hinter der Nachbarzelle. Eine Möglichkeit ist nun, den guten alten IE aus der Mottenkiste zu holen. Aus irgendwelchen Gründen zeigt der die Dependencies-Liste korrekt und vollständig an.

Höflicherweise sollte auch TYPO3 selbst bei der Installation anzeigen, welche Keys benötigt werden. Es gibt in Foren immer wieder Freaks, die behaupten, TYPO3 täte das auch. Das halte ich jedoch für ein Gerücht. Lediglich die altbekannten Abstürze geben bekannt, welche Keys das CMS eigentlich gern vorher gehabt hätte. Und da ich die auf die Dauer ein wenig lästig finde, halte ich von dieser Art der Evaluierung nichts.

Also bin ich den anderen Weg gegangen und habe mir im Quellcode des Repositories angesehen, was eigentlich hätte in der Zelle mit den Dependencies stehen sollen. Ich gebe an dieser Stelle noch einmal die komplette Liste weiter, wie ich sie aus dem Quellcode habe:

  • depends on cms (TYPO3 CMS Frontend (TypoScript))
  • depends on tt_address 2.1.0-
  • depends on graytree 0.2.0-
  • depends on dynaflex 1.6.0-
  • depends on moneylib 1.2.0-
  • depends on static_info_tables 2.0.0-
  • depends on php 5.0.0-0.0.0
  • depends on typo3 4.2.0-0.0.0
  • conflicts with mc_autokeywords
  • Warning: Some of the extensions (or versions) are not available in the official repository!

In der Liste aus Andrea Herzog-Kienasts Buch Der TYPO3-Webshop , das sich in einem Kapitel mit Commerce beschäftigt, stehen zusätzlich noch folgende Extensions als notwendig für die Installation:

  • sr_feuser_register 2.5.7
  • newloginbox 2.2.9 (depends on typo3 3.5.0-4.1.99!, vielleicht deshalb in neueren Listen nicht mehr aufgeführt)